#define F_CPU		18432000UL		// Taktfrequenz

#define Framerate	65				// LCD Framerate

#define XSIZE		640				// Auflsung X (interne Auflsung: 32 Pixel Schritte zusammen mit Overscan X)
#define YSIZE		480				// Auflsung Y

#define XOScan		0				// Overscan X (interne Auflsung: 32 Pixel Schritte zusammen mit Auflsung X)
#define YOScan		0				// Overscan Y (0 fr Duty=1/240, 2 fr Duty=1/242)

#define LARGEMEM	512				// Wenn Speicher >64kByte, dann hier die Speichergre in kByte angeben, ansonsten auskommentieren!

//#define USE_XFONT					// Zustzliche Schriftarten in externem Flash


// Ab hier feste Konstanten, nichts verndern!
#define TEXT_X		8
#define TEXT_Y		12

#define Zeilen		(YSIZE/TEXT_Y)
#define Spalten 	(XSIZE/TEXT_X)

#define DDRAM		3072

#define YMin		(DDRAM/256)
#define YMax		YMin+(YSIZE/2)
#define YScan		YMin+(YSIZE/2)+YOScan
#define	RELOAD		(F_CPU/8/(Framerate*((YSIZE/2)+YOScan)))-1

// PortD
#define 	MOD		2
#define 	XSCL	3
#define 	LP		4
#define 	FLM		5
#define 	WR		6
#define 	RD		7

// PortE
#define 	EnLCD	0
#define 	ALE		1
#define 	PWM1	2

#define ENABLE_VLCD     PORTE_0


